This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 369721 - migrate-shadow-channel should detect duplicate rpms
migrate-shadow-channel should detect duplicate rpms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Devel
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Satellite QA List
US=16306
:
Depends On:
Blocks: 436329
  Show dependency treegraph
 
Reported: 2007-11-07 10:12 EST by James Bowes
Modified: 2013-01-10 04:56 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 16:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-11-07 10:12:34 EST
the migrate-shadow-channel script should detect duplicate rpms by nevra and
report the errors.
Comment 1 James Bowes 2008-04-03 11:25:26 EDT
To Test:
  * Follow the testing instructions in bug 440418, but put both your shadow and  
    non-shadow channel in the rhn_channel field for the errata_files.
  * Now, when you run rhn-migrate-channel-internal, it should error out, saying 
    that there are duplicate packages in the channels, and giving the path to the 
    duplicates.
Comment 2 Amy Owens 2008-04-07 10:26:23 EDT
4/7/08--detects duplicate pack-- all set in dev
Migrating content for rhel-i386-server-5-shadow to rhel-i386-server-5

Error Message:
    --force-packages not specified and some duplicate packages exist in the real
channel:
rhn/public/NULL/seamonkey-nspr-devel/1.0.9-0.16.el3/i386/seamonkey-nspr-devel-1.0.9-0.16.el3.i386.rpm
Error Class Code: 36
Error Class Info: Invalid action
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.
Comment 3 Stephen Herr 2008-06-13 16:37:53 EDT
Verified

Finally! Man that was annoying to test.

Note You need to log in before you can comment on or make changes to this bug.